## reconf-inetd 0.120226

=== Makefile ===
all: todo tests man

tests: unit_tests #system-tests

unit_tests: reconf_inetd.py
	SERVICES_FILENAME=test-data/services ./tests.py

system-tests: reconf_inetd.py
	python2.6 /usr/local/bin/lettuce

VERSION=$(shell (grep '^reconf-inetd' debian/changelog | head -n 1 | sed -e 's/.*(//' -e 's/).*//'))
reconf-inetd: reconf-inetd.source debian/changelog
	@sed "s/RECONF_INETD_VERSION/${VERSION}/" reconf-inetd.source >reconf-inetd
	@chmod 755 reconf-inetd

reconf_inetd.py: reconf-inetd
	$(shell (test -f reconf_inetd.py || ln -s reconf-inetd reconf_inetd.py))

view-man: man
	man ./reconf-inetd.8
man: reconf-inetd.8
reconf-inetd.8: reconf-inetd manpage.txt Makefile
	@help2man -s 8 -n "utility to update /etc/inetd.conf and restart inetd" \
		--include=manpage.txt -N ./reconf-inetd --output=- | \
		egrep -v '(Syntax|Usage):' | \
		fgrep -v 'reconf\-inetd \fB\-\-sanity\-check\fR fragment [... fragment]' | \
		fgrep -v 'reconf\-inetd [\-\-verbose]' \
		>reconf-inetd.8

uml.png: reconf_inetd.py
	pyreverse reconf_inetd.py
	dot classes_No_Name.dot -Tpng -o uml.png
uml: uml.png
	qiv uml.png

todo: TODO
TODO: reconf-inetd todo.in
	@cp todo.in TODO
	@grep TODO reconf-inetd | sed 's/^ *# *TODO //' >> TODO

clean:
	@rm -f *.pyc freshen/*.pyc uml.png classes_No_Name.dot reconf-inetd.8 \
		reconf_inetd.py,cover .coverage* reconf-inetd.log steps.log \
		tests.log features.log reconf_inetd.py reconf-inetd TODO \
		features/data/inetd.conf.orig

reconf_inetd.py,cover: reconf_inetd.py tests
coverage-listing: reconf_inetd.py,cover
	python-coverage -a reconf_inetd.py
	${PAGER} reconf_inetd.py,cover

.PHONY: tests

=== debian/changelog ===
reconf-inetd (0.120226) unstable; urgency=low

  * add /usr/share/doc/reconf-inetd/dep9.html and mention it in the man page
    and the README file (closes: #661300)
  * register dep9.html to doc-base and add 'Suggests: doc-base'
  * man page: mention /var/log/reconf-inetd.log and cite deb-triggers(5)
  * bump standards version to 3.9.3 (no changes)

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 26 Feb 2012 20:34:28 +0100

reconf-inetd (0.120221) unstable; urgency=low

  * default stdout log level to ERROR, or INFO if verbose is set; set logfile
    always to INFO; add timestamps in log file entries
  * add postrm to wipe /var/log/reconf-inetd and /var/lib/reconf-inetd (the
    latter only if /etc/inetd.conf does not exist) upon package purge
  * add debian/logrotate
  * rename build-time test log files and update make clean target

 -- Serafeim Zanikolas <sez@debian.org>  Tue, 21 Feb 2012 01:59:45 +0100

reconf-inetd (0.120214) unstable; urgency=low

  * target unstable.
  * add manpage
  * rename /usr/bin/reconf_inetd to /usr/sbin/reconf-inetd
  * make verbose mode actually print something (in particular, INFO priority
    messages)
  * make version and sanity-check modes print to stdout instead of logging to
    /var/log/reconf-inetd.log (so that they can run without root privileges)
  * sanity check mode: mention filename of problematic fragment, and do not
    print backtrace
  * quit with error message when ran in default mode without root privileges
  * remove unimplemented command-line switch for dry-run mode

 -- Serafeim Zanikolas <sez@debian.org>  Tue, 14 Feb 2012 22:17:48 +0100

reconf-inetd (0.120206) experimental; urgency=low

  * Initial release.

 -- Serafeim Zanikolas <sez@debian.org>  Mon, 06 Feb 2012 19:18:53 +0100

=== debian/control ===
Source: reconf-inetd
Section: net
Priority: optional
Maintainer: Serafeim Zanikolas <sez@debian.org>
Build-Depends: python (<<3), debhelper (>= 7), help2man
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/collab-maint/reconf-inetd.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/reconf-inetd.git

Package: reconf-inetd
Architecture: all
Depends: ${misc:Depends}, python (<<3)
Suggests: doc-base
Description: maintainer script for programmatic updates of inetd.conf
 reconf-inetd is invoked by maintainer scripts to update the configuration of
 the internet superserver. It is a replacement for update-inetd, as per DEP9.
 .
 If the above does not mean anything to you, then you most certainly do not
 need this package.

## reconf-inetd 1.120603

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,8 @@
 unit_tests: reconf_inetd.py
 	SERVICES_FILENAME=test-data/services ./tests.py
 
-system-tests: reconf_inetd.py
-	python2.6 /usr/local/bin/lettuce
+system_tests: reconf_inetd.py
+	lettuce
 
 VERSION=$(shell (grep '^reconf-inetd' debian/changelog | head -n 1 | sed -e 's/.*(//' -e 's/).*//'))
 reconf-inetd: reconf-inetd.source debian/changelog

=== debian/changelog ===
reconf-inetd (1.120603) unstable; urgency=medium

  * add prerm script to remove reconf-inetd fragments upon package removal
    (closes: #675679; setting medium urgency due to RC); thanks to
    Jonathan McCrohan <jmccrohan@gmail.com> for the bug report
  * ensure that inetd.conf entries are never concatenated (closes: #675589)
  * update local copy of dep9

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 03 Jun 2012 19:24:02 +0200

reconf-inetd (1.120523) unstable; urgency=low

  * fix logrotate file (closes: #674095)
  * do not spam log file about a standard inetd.conf comment being an invalid
    entry

 -- Serafeim Zanikolas <sez@debian.org>  Wed, 23 May 2012 11:30:59 +0200

reconf-inetd (1.120520) unstable; urgency=low

  * declare binary package as Multi-Arch: foreign
  * update local copy of dep9
  * port debian/copyright to the dep5 format

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 20 May 2012 16:31:05 +0200

reconf-inetd (1.120422) unstable; urgency=low

  * add support for tcpd-enabled services (closes: #668140)
  * update local copy of dep9
  * log invalid fragments and list them in stdout in verbose mode; also, log
    which services are added/removed (closes: #669317)
  * update manpage:
      - document reconf-inetd fragment format (closes: #669515)
      - fix typo; thanks to Jonathan McCrohan <jmccrohan@gmail.com>
        (closes: #669315)

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 22 Apr 2012 15:39:40 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 Package: reconf-inetd
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, python (<<3)
 Suggests: doc-base
 Description: maintainer script for programmatic updates of inetd.conf

## reconf-inetd 1.120603+nmu1

=== debian/changelog ===
reconf-inetd (1.120603+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 18:28:31 +0800

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEBUILD_DPKG_BUILDPACKAGE_OPTS="-i -I.git"

%:
	dh $@
